{ config, lib, jovian, ... }:
{
  imports = [
    ./hardware
    ./boot

    # Apps and programs
    ../../../modules/system
    ../../../modules/system/accounts
    ../../../modules/system/desktop/qt
    ../../../modules/system/desktop/wayland
    ../../../modules/system/desktop/sway
    ../../../modules/system/programs
    ../../../modules/system/services

    # Devices and hardware
    ../../../modules/system/devices
    ../../../modules/system/devices/boot/systemd
    ../../../modules/system/devices/networking/wireless
    ../../../modules/system/devices/networking/firewall/pc
    ../../../modules/system/devices/networking/wireguard/pc

    # Extras
    ../../../overlays
    ../../../variables

    # Imports
    jovian.nixosModules.default
  ];

  networking.hostName = "jupiter";
  networking.wireguard.interfaces."${config.ips.wgInt}".ips = [ "${config.ips.wgSpan}.21/24" ];
  system.stateVersion = lib.mkForce "24.11";
}
