{ config, lib, pkgs, modulesPath, ... }:
{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    initrd = {
      availableKernelModules = [
        "nvme"
        "xhci_pci"
        "usbhid"
        "usb_storage"
        "sd_mod"
        "sdhci_pci"
      ];
      kernelModules = [
	"kvm-amd"
      ];
    };
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/182b2841-88a8-4845-9a29-0c1cdc01102d";
      fsType = "btrfs";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/10A5-1022";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };
    "/mnt/Mount" = {
      device = "/dev/disk/by-uuid/a026c6c7-04a0-4f34-82bb-ea7e4f3e85c5";
      fsType = "ext4";
    };
    "/home/jimbo/JimboNFS" = {
      device = "${config.ips.wgSpan}.1:/export/JimboNFS";
      fsType = "nfs4";
      options = ["x-systemd.automount" "_netdev" "nofail" "noauto"];
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/552f8899-a255-4e2b-a22c-e361ceaa527a"; }
  ];

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
